#!/bin/bash

WORKDIR=$(pwd)
DTB_FILENAME=$(find /boot/dtb/*.dtb  -printf "%f")
DTB_FILENAME="${DTB_FILENAME%.*}"

cd $WORKDIR

dtc -I dtb -O dts -f /boot/dtb/$DTB_FILENAME.dtb -o $WORKDIR/$DTB_FILENAME.dts

sed -i "/serial@3110000 {/,/}/ s/disabled/okay/" $WORKDIR/$DTB_FILENAME.dts

dtc -I dts -O dtb -f $WORKDIR/$DTB_FILENAME.dts -o $WORKDIR/$DTB_FILENAME.dtb

sudo mv /boot/dtb/$DTB_FILENAME.dtb /boot/dtb/$DTB_FILENAME.dtb.old

sudo cp $WORKDIR/$DTB_FILENAME.dtb /boot/dtb/$DTB_FILENAME.dtb

rm $WORKDIR/$DTB_FILENAME.dts
rm $WORKDIR/$DTB_FILENAME.dtb

exit 0